Bug 4754 - Minimize Java build requirements of LibreOffice
: Minimize Java build requirements of LibreOffice
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-30 22:04 MSK by Denis Silakov
Modified: 2014-12-23 19:56 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
jre-is-absent.jpg (88.26 KB, image/jpeg)
2014-12-01 15:31 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-11-30 22:04:46 MSK
Currently we have a lot of Java packages in our main repository which are needed only to build LibreOffice. However, we can build these packages as a part of LibreOffice build and not flood main repositoyr with them. This is especially important for our certified editions. However, we need to ensure that LibreOffice built in such a "javaless" manner works fine.
Comment 1 Denis Silakov 2014-11-30 22:06:17 MSK
Advisory:
Rebuilt LibreOffice in "javaless" mode to decrease ammount of Java packages in ROSA main repository.

Build lists:
https://abf.io/build_lists/2345344
https://abf.io/build_lists/2345949

Note for testers:
There should be no difference in behavior if compared to the current build of LibreOffice which is present in our repositories.
Comment 2 FirstLevel 2014-12-01 15:26:02 MSK
I have updated LO from this container.
After that I have tried to install LO Base and have got such output (many words in the middle are skipped):
Пароль: 
[root@r4 ~]# urpmi libreoffice-base
GOT: java-1.7.0-openjdk-1.7.0.60-2.4.3.3-rosa2014.1.i586
GOT: get-jre7-oracle-1.7.0.71-2-rosa2014.1.i586
GOT: java-1.8.0-openjdk-1.8.0.5-4.b13-rosa2014.1.i586
GOT: java-1.6.0-sun-1.6.0.26-4-rosa2014.1.i586
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «non-free updates»)
 get-jre7-oracle                1.7.0.71     2             rosa  2014.1 i586 
(источник «tstlo»)
 libreoffice-base               4.3.3        2             rosa  2014.1 i586 
 libreoffice-java               4.3.3        2             rosa  2014.1 i586 
Будет использовано 11МБ дополнительного дискового пространства.
Будет загружено 5.6МБ пакетов.
Установить 3 пакетов? (Y/n) y


    http://mirror.rosalab.ru/rosa/rosa2014.1/repository/i586/media/non-free/updates/get-jre7-oracle-1.7.0.71-2-rosa2014.1.i586.rpm
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2345949/i586/main/release/libreoffice-base-4.3.3-2-rosa2014.1.i586.rpm                    
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2345949/i586/main/release/libreoffice-java-4.3.3-2-rosa2014.1.i586.rpm                    
устанавливается get-jre7-oracle-1.7.0.71-2-rosa2014.1.i586.rpm libreoffice-base-4.3.3-2-rosa2014.1.i586.rpm libreoffice-java-4.3.3-2-rosa2014.1.i586.rpm из /var/cache/urpmi/rpms
warning: LOOP:

....

jre1.7.0_71/release
jre1.7.0_71/THIRDPARTYLICENSEREADME-JAVAFX.txt
jre1.7.0_71/COPYRIGHT
/%{_jvmdir}/jre1.7.0_71/exports /
/
update-alternatives: error: alternative path is not absolute as it should be: %{_jvmdir}/jre1.7.0_71/bin/java
update-alternatives: error: alternative link is not absolute as it should be: %{_jvmdir}/jre-oracle
update-alternatives: error: alternative link is not absolute as it should be: %{_jvmdir}/jre-1.7.0
update-alternatives: error: alternative path is not absolute as it should be: %{_jvmdir}/jre1.7.0_71/lib/i386/libnpjp2.so
update-alternatives: error: alternative path is not absolute as it should be: %{_jvmdir}/jre1.7.0_71/bin/java
update-alternatives: error: alternative path is not absolute as it should be: %{_jvmdir}/jre1.7.0_71
update-alternatives: error: alternative path is not absolute as it should be: %{_jvmdir}/jre1.7.0_71
update-alternatives: error: alternative path is not absolute as it should be: %{_jvmdir}/jre1.7.0_71/lib/i386/libnpjp2.so
      2/3: libreoffice-java      ###################################################################################################################
      3/3: libreoffice-base      ###################################################################################################################
[root@r4 ~]# 


Error with update alternatives - is it important?
Comment 3 FirstLevel 2014-12-01 15:30:45 MSK
If I launch LO Base I have got an errror in konsole
l[tst@r4 ~]$ libreoffice --base
javaldx: Could not find a Java Runtime Environment!
Warning: failed to read path from javaldx
LibreOffice(5566) KBookmarkManager::parse: KBookmarkManager::parse : main tag is missing, creating default  "/home/tst/.local/share/user-places.xbel" 
Object::connect: No such signal org::freedesktop::UPower::DeviceAdded(QString)
Object::connect: No such signal org::freedesktop::UPower::DeviceRemoved(QString)
LibreOffice(5566): couldn't create slave: "Невозможно создать вспомогательный процесс ввода/вывода.
Сообщение klauncher: Неизвестный протокол «».
" 
LibreOffice(5566): couldn't create slave: "Невозможно создать вспомогательный процесс ввода/вывода.
Сообщение klauncher: Неизвестный протокол «».
" 
[tst@r4 ~]$ 

and error in GUI while creating new base jre-is-absent.jpg
Comment 4 FirstLevel 2014-12-01 15:31:02 MSK
Created attachment 3547 [details]
jre-is-absent.jpg
Comment 5 Denis Silakov 2014-12-01 16:03:20 MSK
Looks like a problem with get-jre7-oracle. What happens if you explicitly install java-1.7.0-openjdk ("urpmi java-1.7.0-openjdk")?
Comment 6 FirstLevel 2014-12-01 16:45:30 MSK
(In reply to comment #5)
> Looks like a problem with get-jre7-oracle. What happens if you explicitly
> install java-1.7.0-openjdk ("urpmi java-1.7.0-openjdk")?

Yes, it works with java-1.7.0-openjdk
Comment 7 FirstLevel 2014-12-11 11:31:24 MSK
I have no answer for my questions
QA Denied
Comment 8 Denis Silakov 2014-12-13 19:16:13 MSK
New build lists are ready that will require OpenJDK explicitly.

Advisory:

Rebuilt LibreOffice in "javaless" mode to decrease amount of Java packages in ROSA main repository. In addition, explicitly require OpenJDK Java, since LO has problems with Oracle Java.

Build lists:
https://abf.io/build_lists/2365639
https://abf.io/build_lists/2365638
Comment 9 FirstLevel 2014-12-14 14:25:57 MSK
(In reply to comment #8)
> New build lists are ready that will require OpenJDK explicitly.
> 
> Advisory:
> 
> Rebuilt LibreOffice in "javaless" mode to decrease amount of Java packages
> in ROSA main repository. In addition, explicitly require OpenJDK Java, since
> LO has problems with Oracle Java.
> 
> Build lists:
> https://abf.io/build_lists/2365639
> https://abf.io/build_lists/2365638

Update for 32 and 64bit os - ok
Install and work with LOBase - ok.
Comment 10 Vladimir Potapov 2014-12-23 19:13:25 MSK
libreoffice-4.3.3-4
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2365638/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2365639/x86_64/main/release/
************************ Advisory *********************

Rebuilt LibreOffice in "javaless" mode to decrease amount of Java packages in ROSA main repository. In addition, explicitly require OpenJDK Java, since LO has problems with Oracle Java.
*******************************************************
QA Verified